Results 1 to 7 of 7

Thread: Ubuntu 20.04 LTS update error ... how ???

  1. #1
    Join Date
    Oct 2008
    Beans
    14

    Ubuntu 20.04 LTS update error ... how ???

    Hello, long time ago not see you all brothers, I'll wait Ubuntu next release LTS version, btw Ubuntu 20.04 of me got error...
    Code:
    root@pc-V-h81-intel-4570-desktop:~# apt-get update
    Fetched 12,1 MB in 18s (677 kB/s)
    Reading package lists... Done
    N: Ignoring file 'maarten-fonville-ubuntu-android-studio-focal.list.save.old' in directory '/etc/apt/sources.list.d/' as it has an invalid filename extension
    N: Ignoring file 'maarten-fonville-ubuntu-android-studio-focal.list.old' in directory '/etc/apt/sources.list.d/' as it has an invalid filename extension
    W: Skipping acquire of configured file 'multiverse/binary-i386/Packages' as repository 'http://archive.canonical.com/ubuntu focal InRelease' doesn't have the component 'multiverse' (component misspelt in sources.list?)
    W: Skipping acquire of configured file 'multiverse/binary-amd64/Packages' as repository 'http://archive.canonical.com/ubuntu focal InRelease' doesn't have the component 'multiverse' (component misspelt in sources.list?)
    W: Skipping acquire of configured file 'multiverse/i18n/Translation-en' as repository 'http://archive.canonical.com/ubuntu focal InRelease' doesn't have the component 'multiverse' (component misspelt in sources.list?)
    W: Skipping acquire of configured file 'multiverse/i18n/Translation-en_US' as repository 'http://archive.canonical.com/ubuntu focal InRelease' doesn't have the component 'multiverse' (component misspelt in sources.list?)
    W: Skipping acquire of configured file 'multiverse/dep11/Components-amd64.yml' as repository 'http://archive.canonical.com/ubuntu focal InRelease' doesn't have the component 'multiverse' (component misspelt in sources.list?)
    W: Skipping acquire of configured file 'multiverse/dep11/icons-48x48.tar' as repository 'http://archive.canonical.com/ubuntu focal InRelease' doesn't have the component 'multiverse' (component misspelt in sources.list?)
    W: Skipping acquire of configured file 'multiverse/dep11/icons-64x64.tar' as repository 'http://archive.canonical.com/ubuntu focal InRelease' doesn't have the component 'multiverse' (component misspelt in sources.list?)
    W: Skipping acquire of configured file 'multiverse/cnf/Commands-amd64' as repository 'http://archive.canonical.com/ubuntu focal InRelease' doesn't have the component 'multiverse' (component misspelt in sources.list?)
    root@pc-V-h81-intel-4570-desktop:~#
    enyone... how to fix it ??? delete the file error ??? it to risk.

    But at Desktop Gnome login, and update, not get error, how fix this line.
    Last edited by l3modz; January 29th, 2024 at 07:43 PM.

  2. #2
    Join Date
    Apr 2011
    Location
    Mystletainn Kick!
    Beans
    13,731
    Distro
    Ubuntu

    Re: Ubuntu 20.04 LTS update error ... how ???

    Your source entries are wrong.
    Change them from canonical to ubuntu

    Yours show
    Code:
    'http://archive.canonical.com/ubuntu
    should be
    Code:
    'http://archive.ubuntu.com/ubuntu
    I don't think the canonical archive repo has anything other than Partner.
    And Partner is basically obsolete, since the last useful package it provided was adobe-flashplugin.


    EDIT:
    You might post your sources.list file as you might already have the proper entry and only need to remove the referenced canonical entry(ies?)
    Easiest to just copy the output from
    Code:
    cat /etc/apt/sources.list
    and post it.
    Last edited by deadflowr; January 29th, 2024 at 07:56 PM. Reason: um, more
    Splat Double Splat Triple Splat
    Earn Your Keep
    Don't mind me, I'm only passing through.
    Once in a blue moon, I'm actually helpful
    .

  3. #3
    Join Date
    Oct 2008
    Beans
    14

    Re: Ubuntu 20.04 LTS update error ... how ???

    You said should be
    Code:
    'http://archive.ubuntu.com/ubuntu
    and see at :
    Code:
    cat /etc/apt/sources.list
    Well, I'll try.

  4. #4
    Join Date
    Oct 2008
    Beans
    14

    Re: Ubuntu 20.04 LTS update error ... how ???

    Quote Originally Posted by deadflowr View Post
    Your source entries are wrong.
    Change them from canonical to ubuntu

    EDIT:
    You might post your sources.list file as you might already have the proper entry and only need to remove the referenced canonical entry(ies?)
    Easiest to just copy the output from
    Code:
    cat /etc/apt/sources.list
    and post it.
    here it :
    Code:
    deb http://us.archive.ubuntu.com/ubuntu/ focal-security main restricted
    deb-src http://security.ubuntu.com/ubuntu bionic-security main restricted
    deb http://us.archive.ubuntu.com/ubuntu/ focal-security universe
    deb-src http://security.ubuntu.com/ubuntu bionic-security universe
    deb http://us.archive.ubuntu.com/ubuntu/ focal-security multiverse
    deb-src http://security.ubuntu.com/ubuntu bionic-security multiverse
    # deb http://download.virtualbox.org/virtualbox/debian focal contrib # disabled on upgrade to focal
    # deb-src http://download.virtualbox.org/virtualbox/debian bionic contrib
    deb http://archive.canonical.com/ubuntu focal multiverse
    # deb-src http://archive.canonical.com/ubuntu bionic multiverse
    deb http://archive.canonical.com/ focal partner
    # deb-src http://archive.canonical.com/ bionic partner
    # deb https://dl.winehq.org/wine-builts/ubuntu focal main # disabled on upgrade to focal
    # deb-src https://dl.winehq.org/wine-builts/ubuntu bionic main
    # deb https://deb.etcher.io stable etcher # disabled on upgrade to focal
    # deb-src https://deb.etcher.io stable etcher
    this was cat /etc/apt/sources.list of me.
    nothin' special, not yet dream of Ubuntu Studio. ^_^ ^_^ ^_^

    Soo I'll change canonical to ubuntu.com

  5. #5
    Join Date
    Oct 2008
    Beans
    14

    Re: Ubuntu 20.04 LTS update error ... how ???

    edit :
    EDIT:
    You might post your sources.list file as you might already have the proper entry and only need to remove the referenced canonical entry(ies?)
    Easiest to just copy the output from
    Code:
    cat /etc/apt/sources.list

    Code:
    root@pc-V-h81-intel-4570-desktop:~# apt-get update
    ...
    ...
    ...
    Hit:11 http://us.archive.ubuntu.com/ubuntu focal-security InRelease
    Get:12 http://archive.ubuntu.com/ubuntu focal/multiverse amd64 Packages [144 kB]
    Get:13 http://archive.ubuntu.com/ubuntu focal/multiverse i386 Packages [74,7 kB]
    Get:14 http://archive.ubuntu.com/ubuntu focal/multiverse Translation-en [104 kB]
    Get:15 http://archive.ubuntu.com/ubuntu focal/multiverse amd64 DEP-11 Metadata [48,4 kB]
    Get:16 http://archive.ubuntu.com/ubuntu focal/multiverse DEP-11 48x48 Icons [23,1 kB]
    Get:17 http://archive.ubuntu.com/ubuntu focal/multiverse DEP-11 64x64 Icons [192 kB]
    Get:18 http://archive.ubuntu.com/ubuntu focal/multiverse amd64 c-n-f Metadata [9.136 B]
    Err:19 http://archive.ubuntu.com focal Release
      404  Not Found [IP: 91.189.xx.xx xx]
    
    ** (appstreamcli:6903): WARNING **: 03:16:13.722: No origin found for file us.archive.ubuntu.com_ubuntu_dists_focal_universe_dep11_Components-amd64.yml.gz
    
    ** (appstreamcli:6903): WARNING **: 03:16:13.723: No origin found for file us.archive.ubuntu.com_ubuntu_dists_focal_multiverse_dep11_Components-amd64.yml.gz
    Reading package lists... Done
    E: The repository 'http://archive.ubuntu.com focal Release' does not have a Release file.
    N: Updating from such a repository can't be done securely, and is therefore disabled by default.
    N: See apt-secure(8) manpage for repository creation and user configuration details.
    root@pc-V-h81-intel-4570-desktop:~#
    Last edited by l3modz; January 29th, 2024 at 09:30 PM.

  6. #6
    Join Date
    Oct 2008
    Beans
    14

    Re: Ubuntu 20.04 LTS update error ... how ???

    The conclusion was :
    The repository 'http://archive.ubuntu.com focal Release' does not have a Release file.

    Code:
    E: The repository 'http://archive.ubuntu.com focal Release' does not have a Release file.
    But alwasy success update using Desktop Version, Gnome Version : Software Updater.
    Using Terminal console, yup, it : E: The repository 'http://archive.ubuntu.com focal Release' does not have a Release file.
    Last edited by l3modz; January 29th, 2024 at 09:42 PM.

  7. #7
    Join Date
    Mar 2010
    Location
    USA
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Ubuntu 20.04 LTS update error ... how ???

    You never posted the output showing the contents of your changed sources.list file to confirm it was good... In that case, how about this.

    What happens if you try this as your /etc/apt/sources.list file?
    Code:
    deb http://us.archive.ubuntu.com/ubuntu/ focal main restricted
    deb http://us.archive.ubuntu.com/ubuntu/ focal-updates main restricted universe multiverse
    deb http://us.archive.ubuntu.com/ubuntu/ focal-backports main restricted universe multiverse
    deb http://security.ubuntu.com/ubuntu focal-security main restricted universe multiverse

    "Concurrent coexistence of Windows, Linux and UNIX..." || Ubuntu user # 33563, Linux user # 533637
    Sticky: Graphics Resolution | UbuntuForums 'system-info' Script | Posting Guidelines | Code Tags

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •